zfs support version >=0.6.5.3

All other development questions
whiteHascii
Posts: 1
Joined: 05 Apr 2016, 16:22

zfs support version >=0.6.5.3

Postby whiteHascii » 07 Apr 2016, 03:42

I am using zfs as my root and boot filesystem together with funtoo. I have published on th funtoo website, which way to install. I have always used a zfs patched sysresccd. Thta worked well until the API change came with zfs-0.6.5.3.

Any upgrade from zfs<=0.6.5.2 is just easy, it is necessary to emerge the new version of zfs, build a new initramfs and update grub. Specially the initramfs must be upgraded. If not, your system will boot and run, but the zfs and zpool commands are broken.

Now I tried to install zfs with newer sysresccd with the injected zfs. They show the same issue, even if the newerversion ofs zfs has been injected.

I believe that two causes may exist. The first one is that zfs runs best under 64Bit. Issues were known with 32Bit. Second, the behaviour is as the initramfs would not have been updated.

I have tried to customize the sysresccd by myself, and I got the same result, even recompiling the kernel/initramfs (altker64).

So now I made a sysresccd based on a 64Bit funtoo installation. It is much more fatty, not perfect, but zfs runs well now.

So my questions:
- Is there any chance to get support or access to your build process, so that it could be adapted to 64Bit systems?
- Is there any chance to work with two squasfs, one 32Bit and one 64Bit, to overcome the issue mentioned above?

It would be nice, if we could find a solution. If not, I will have to find anothe solution for all zfs users...

Return to “Other”

Who is online

Users browsing this forum: No registered users and 1 guest